> For the complete documentation index, see [llms.txt](https://docs.octusbridge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/ethereum/dao.md).

# DAO

#### **`decodeEthActionsEventData`**

Menerjemahkan payload ke dalam format data acara everscale.

```
function decodeEthActionsEventData(bytes memory payload) public pure returns(int8 _wid, uint256 _addr, uint32 chainId, EthAction[] memory actions)
```

**Parameter:**

| Nama    | Jenis        | Deskripsi                              |
| ------- | ------------ | -------------------------------------- |
| payload | bytes memory | Data EverscaleEvent dituliskan ke byte |

**Nilai hasil:**

| Nama    | Jenis               | Deskripsi                |
| ------- | ------------------- | ------------------------ |
| \_wid   | int8                | Id Workchain             |
| \_addr  | uint256             | Alamat                   |
| chainId | uint32              | Id Chain                 |
| actions | EthAction\[] memory | Daftar tindakan Ethereum |

#### **`execute`**

Menjalankan serangkaian tindakan ETH yang didapat setelah menerjemahkan payload dan memverifikasi tanda tangan.

```
function execute(bytes calldata payload, bytes[] calldata signatures) override external nonReentrant notCached(payload) returns (bytes[] memory responses)
```

**Parameter:**

| Nama       | Jenis             | Deskripsi                                           |
| ---------- | ----------------- | --------------------------------------------------- |
| payload    | bytes calldata    | EverscaleEvent yang dikodekan dengan detail payload |
| signatures | bytes\[] calldata | Tanda tangan payload                                |

**Nilai hasil:**

| Nama      | Jenis           | Deskripsi                                    |
| --------- | --------------- | -------------------------------------------- |
| responses | bytes\[] memory | Respons tindakan payload yang dikodekan byte |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/ethereum/dao.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
